### Function

# ECal util_component_find_property_for_locale

since: 3.46

#### Declaration [src]

    ICalProperty*
    e_cal_util_component_find_property_for_locale (
      ICalComponent* icalcomp,
      ICalPropertyKind prop_kind,
      const gchar* locale
    )

#### Description [src]

Searches properties of kind `prop_kind` in the `icalcomp` and returns one, which is usable for the `locale`. When `locale` is `NULL`, the current locale is assumed. If no such property for the locale exists either the one with no language parameter or the first found is returned.

Free the returned non-NULL `ICalProperty` with g_object_unref(), when no longer needed.

Available since: 3.46

#### Parameters

`icalcomp`

  Type: `None`

  An `ICalComponent`.

  The data is owned by the caller of the function.

`prop_kind`

  Type: `ICalPropertyKind`

  An `ICalPropertyKind` to traverse.

`locale`

  Type: `const gchar*`

  A locale identifier, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `None`

A property of kind `prop_kind` for the `locale`, `NULL` if no such property is set on the `comp`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.